# frozen_string_literal: true

module Runby
  # Base class for all run types
  class RunType
    def description
      'No description'
    end

    def explanation
      'No explanation'
    end

    def lookup_pace(five_k_time, distance_units = :km) end
  end

  # Extends RunTypes with additional methods.
  # Since RunTypes is autogenerated in all_run_types.g.rb, we needed a safe way of adding behavior to it
  #  without complicating the codegen.
  module RunTypes
    # Returns an initialized run type, given the name of an existing run type
    def self.new_from_name(run_type_name)
      Object.const_get("Runby::RunTypes::#{run_type_name}").new
    end
  end
end
